import request from '@/utils/request'

// 查询风险信息列表
export function listRisk(query) {
  return request({
    url: '/system/risk/list',
    method: 'get',
    params: query
  })
}

// 查询风险信息详细
export function getRisk(riskId) {
  return request({
    url: '/system/risk/' + riskId,
    method: 'get'
  })
}

// 新增风险信息
export function addRisk(data) {
  return request({
    url: '/system/risk',
    method: 'post',
    data: data
  })
}

// 修改风险信息
export function updateRisk(data) {
  return request({
    url: '/system/risk',
    method: 'put',
    data: data
  })
}

// 删除风险信息
export function delRisk(riskId) {
  return request({
    url: '/system/risk/' + riskId,
    method: 'delete'
  })
}
